## wxwidgets2.6 2.6.3.2.1.5ubuntu6

=== debian/changelog ===
wxwidgets2.6 (2.6.3.2.1.5ubuntu6) feisty; urgency=low

  * wx2.6-headers: Install wxPython header files. Ubuntu #2887.

 -- Matthias Klose <doko@ubuntu.com>  Thu,  1 Mar 2007 14:29:31 +0000

wxwidgets2.6 (2.6.3.2.1.5ubuntu5) feisty; urgency=low

  * Build the existing -dbg package for the python-dbg build.
  * Remove python-wxgtk-dbg installation scripts.
  * debian/rules: Remove dh_python calls.
  * debian/control.in: Fix name of python-xml package. Don't let the -dbg
    package conflict with the normal build, but depend on it.
  * Remove debian/python-version, use pyversions -d.
  * Use the default python flags for the wxPython builds.
  * Add build dependency on bc.
  * Bump debhelper compatibility to v5.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 Feb 2007 22:31:31 +0100

wxwidgets2.6 (2.6.3.2.1.5ubuntu4) feisty; urgency=low

  * wxPython/wx/py/introspect.py: 
    move "from __future__ import nested_scopes" to the begin of the file

 -- Michael Bienia <geser@ubuntu.com>  Mon, 15 Jan 2007 17:59:40 +0100

wxwidgets2.6 (2.6.3.2.1.5ubuntu3) feisty; urgency=low

  * Explicitely set the hard coded python version to 2.5.
  * Fix compilation errors with newer gcc.
  * Fix 64bit builds with python2.5.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 14 Jan 2007 11:04:14 +0000

wxwidgets2.6 (2.6.3.2.1.5ubuntu2) feisty; urgency=low

  * Rebuild for python2.5 as the default python version.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Jan 2007 13:23:11 +0000

wxwidgets2.6 (2.6.3.2.1.5ubuntu1) feisty; urgency=low

  * Fix for GTK warnings in wxNotebook::DoRemovePage
    (Closes: LP#59138)

 -- Matti Lindell <mlind@cs.joensuu.fi>  Wed, 13 Dec 2006 22:35:54 +0200

wxwidgets2.6 (2.6.3.2.1.5build1) feisty; urgency=low

  * Rebuild for ldbl128 change on powerpc and sparc.

 -- Matthias Klose <doko@ubuntu.com>  Thu,  2 Nov 2006 10:27:55 +0000
