=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file to build packages from wx CVS source
#
# Sculpted 13/2/2000 by Ron Lee <ron@debian.org> from new and
# variously stolen code :-)
# It makes copious use of the debhelper utilities written by
# Joey Hess and others.

#export DH_VERBOSE=1
export DH_OPTIONS

ifdef CONCURRENCY_LEVEL

  # A user who knows what they want, that's like gold...
  # respect their precious opinion of how much blue smoke to use.
  JOB_COUNT := $(CONCURRENCY_LEVEL)

else ifdef DISTCC_HOSTS

 # Otherwise, if they have a cluster, try to put it to good use.
  JOB_COUNT := $(shell set $${DISTCC_HOSTS} > /dev/null 2>&1 ; echo $$\#)

 # Not much faster, but it might keep you warm in winter...
 #JOB_COUNT := $(shell set $${DISTCC_HOSTS} > /dev/null 2>&1 ; echo $$(($$\# + $$\#)))

endif

ifdef JOB_COUNT
  FAST_MAKE  = $(MAKE) -j $(JOB_COUNT)
else
  FAST_MAKE = $(MAKE)
endif

python_ver := $(shell pyversions -d)

# If another source package is to supply the common binary packages
# for a particular Debian release, then define this variable to indicate
# the $(release) that is expected to provide it.  Do not define it at
# all if this is to be the default (or only) wx source package for the
# target release.
#
# for etch:
#DEBIAN_WX_DEFAULT_VERSION = 2.6


# This will extract a flavour out of the name of the source directory
# and flavour the packages and binaries with it.  'Official' builds
# should use a source dir of the form wxwidgets$RELEASE-$VERSION.
# Flavoured builds may use wxwidgets$RELEASE-$FLAVOUR-$VERSION, where
# any descriptive alphanumeric name will do for FLAVOUR.  This will
# allow a custom build to be installed alongside the mainline ones
# without conflict.  You will also need to make a corresponding
# changelog entry for your flavour source package using:
# wxwidget$RELEASE-$FLAVOUR ($VERSION) to satify dpkg-source and
# to correctly set the release below.
DEBIAN_WXFLAVOUR := $(shell pwd | sed -e 's@.*/wxwidgets[0-9.]\+-\?\(.*\)-[0-9.]\+-\?.*@\1@')

release   := $(shell dpkg-parsechangelog | sed -n 's/^Source: wxwidgets//p')

# This is broken completely now by bakefiles changes.  Until we add
# some hocus pocus to the main tree, to export these values from it
# again, we approximate its behaviour (fairly precisely fwiw) to
# specify $soversion below.  Re-automate if incompatible changes
# result in it actually changing.
#soversion := $(shell grep '^WX_CURRENT=' configure.in | sed 's/WX_CURRENT=\([0-9]\+\).*/\1/')
soversion := 0
sorelease := $(release:%-$(DEBIAN_WXFLAVOUR)=%)-$(soversion)$(addprefix -,$(DEBIAN_WXFLAVOUR))

# Base value for alternative priorities.
alt_prio  := $(subst .,,$(release))

pytoolkit := gtk2
pydir     := usr/lib/$(python_ver)/site-packages
wxpydir   := $(pydir)/wx-$(release)-$(pytoolkit)-unicode

cross_host  := i586-mingw32msvc
cross_build := $(shell ./config.guess)

config_cache       = ../config_deb.cache
config_cache_cross = ../config_deb_cross.cache


# Packages to build:
package_wxbase_lib      := libwxbase$(sorelease)
package_wxbase_dev      := libwxbase$(release)-dev
package_wxbase_dbg      := libwxbase$(release)-dbg

package_gtk_lib         := libwxgtk$(sorelease)
package_gtk_dev         := libwxgtk$(release)-dev
package_gtk_dbg         := libwxgtk$(release)-dbg




package_gtk_py_lib      := python-wxgtk$(release)
package_gtk_py_ver       = python-wxversion
package_gtk_py_tools     = python-wxtools

package_headers         := wx$(release)-headers
package_i18n            := wx$(release)-i18n
package_doc             := wx$(release)-doc
package_examples        := wx$(release)-examples
package_common           = wx-common

# The packages listed here are common to all wx versions, and may be provided
# by another source package if more than one is in the release simultaneously.
common_packages	:= $(package_common) $(package_gtk_py_ver) $(package_gtk_py_tools)


package_gtk_dbg_py      := python-wxgtk$(release)-dbg



package_msw_dev         := libwxmsw$(release)-dev
package_msw_dbg         := libwxmsw$(release)-dbg
package_headers_msw     := wx$(release)-headers-msw

# The packages listed here will not be built by default.
extra_packages := \
		  $(package_msw_dev) $(package_msw_dbg) $(package_headers_msw)

ifdef DEBIAN_WX_DEFAULT_VERSION

  extra_packages += $(common_packages)

endif


# Build directories:
objdir_wxbase_shared       = objs_wxbase_sh
objdir_wxbase_debug        = objs_wxbase_d
objdir_gtk_shared          = objs_gtk_sh
objdir_gtk_debug           = objs_gtk_d
objdir_gtk_install         = objs_gtk_install
objdir_doc_cruft           = objs_doc_con
objdir_doc                 = docs/wx-manual.html
objdir_examples            = docs/examples
objdir_i18n                = locale

objdir_msw_shared          = objs_msw_sh
objdir_msw_static          = objs_msw_st
objdir_msw_dbg             = objs_msw_d
objdir_msw_install         = objs_msw_install

objdirs := $(objdir_wxbase_shared) $(objdir_wxbase_debug)                  \
	   $(objdir_gtk_shared) $(objdir_gtk_debug) $(objdir_gtk_install)  \
	   $(objdir_doc_cruft) $(objdir_doc) $(objdir_examples)            \
	   $(objdir_msw_shared) $(objdir_msw_static) $(objdir_msw_dbg)     \
	   $(objdir_msw_install)

#	note that the i18n package is actually arch indep (once built)
#	but must be built (and installed) during the arch any phase as
#	it's pulled out of the wxGTK shared lib package.
#
#       similarly some of the wxpython packages are arch indep too, but
#       all files for it are installed during the arch any phase.


# Build stamps:
build_arch_stamps = build-wxbase-shared-stamp build-wxbase-debug-stamp    \
                    build-gtk-shared-stamp build-gtk-shared-contrib-stamp \
                    build-gtk-debug-stamp build-gtk-debug-contrib-stamp   \
                    build-i18n-stamp build-gtk-py-stamp build-gtk-dbg-py-stamp

build_indep_stamps = build-examples-stamp build-doc-stamp

build_cross_stamps = build-msw-shared-stamp build-msw-static-stamp build-msw-dbg-stamp

build_stamps_native := $(build_arch_stamps) $(build_indep_stamps)

build_stamps := $(build_stamps_native) $(build_cross_stamps)


# Install targets:
install_all_arch = install-wxbase-lib install-wxbase-dev install-wxbase-dbg  \
                   install-gtk-lib install-gtk-dev install-gtk-dbg        \
                   install-headers install-i18n            \
                   install-gtk-py install-gtk-dbg-py

ifndef DEBIAN_WX_DEFAULT_VERSION

  install_all_arch += install-common

endif

install_all_indep = install-examples install-doc

install_all_cross = install-msw-dev install-msw-dbg install-headers-msw

install_all_native := $(install_all_arch) $(install_all_indep)

install_all := $(install_all_native) $(install_all_cross)


# wxPython uses this to build in-tree
wxconfig     := $(shell pwd)/$(objdir_gtk_shared)/wx-config --no_rpath
wxconfig-dbg := $(shell pwd)/$(objdir_gtk_debug)/wx-config --no_rpath

# and this after it is installed.
py_wxconfig  := wx-config --version=$(release) --toolkit=$(pytoolkit)     \
			  --unicode --debug=no --static=no
pyd_wxconfig := wx-config --version=$(release) --toolkit=$(pytoolkit)     \
			  --unicode --debug --static=no


#contrib_libs := $(subst CVS,,$(notdir $(wildcard contrib/include/wx/*)))


# The Rules:

debian/control: debian/control.in
	sed -e 's/=V/$(release)/g;s/=SOV/$(sorelease)/g;s/=PY/python/g'\
		< debian/control.in > debian/control

control-files-stamp: debian/control
	dh_testdir
	@for f in postinst prerm; do                                         \
		echo "generating control file $(package_wxbase_dev).$$f";    \
		sed -e 's/=V/$(release)/g;                                  '\
'			s/=PRIO/$(alt_prio)/g'                               \
			< debian/libwxbase-dev.$$f                           \
			> debian/$(package_wxbase_dev).$$f;                  \
	done;
	@for f in postinst prerm; do                                         \
		echo "generating control file $(package_wxbase_dbg).$$f";    \
