## wxwidgets2.6 2.6.3.2.1.5ubuntu12

=== debian/changelog ===
wxwidgets2.6 (2.6.3.2.1.5ubuntu12) gutsy; urgency=low

  * src/gtk/settings.cpp:
    + Fix build...

 -- Sebastian Dröge <slomo@ubuntu.com>  Fri, 10 Aug 2007 16:08:09 +0200

wxwidgets2.6 (2.6.3.2.1.5ubuntu11) gutsy; urgency=low

  * src/gtk/settings.cpp:
    + Patch from upstream SVN (r48002) to stop using private Gtk API which
      results in segfaults since Gtk 2.11.6.
      https://sourceforge.net/tracker/?func=detail&atid=109863&aid=1767485&group_id=9863

 -- Sebastian Dröge <slomo@ubuntu.com>  Fri, 10 Aug 2007 13:18:20 +0200

wxwidgets2.6 (2.6.3.2.1.5ubuntu10) gutsy; urgency=low

  * src/gtk/{button,window}.cpp:
    - Use gtk_border_free() not g_free() when freeing GtkBorder's.
      Changes backported from upstream 2.8 branch (LP: #120278).

 -- Matti Lindell <mlind@cs.joensuu.fi>  Mon, 25 Jun 2007 23:44:39 +0300

wxwidgets2.6 (2.6.3.2.1.5ubuntu9) gutsy; urgency=low

  * debian/rules: Set DEBIAN_WX_DEFAULT_VERSION to 2.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 26 May 2007 18:16:21 +0200

wxwidgets2.6 (2.6.3.2.1.5ubuntu8) gutsy; urgency=low

  * Backported wxSafeConvert patch from wxwidgets2.8 (LP: 35375)

 -- Emmet Hikory <emmet.hikory@gmail.com>  Fri, 18 May 2007 21:17:31 +0900

wxwidgets2.6 (2.6.3.2.1.5ubuntu7) gutsy; urgency=low

  * debian/rules: removed extra '-' in the index.html symlink
    destination.  Ubuntu #110335.

 -- Phillip Susi <psusi@cfl.rr.com>  Thu, 26 Apr 2007 16:58:13 -0400
