=== debian/rules ===
--- 
+++ 
@@ -39,8 +39,8 @@
 # all if this is to be the default (or only) wx source package for the
 # target release.
 #
-# for etch:
-#DEBIAN_WX_DEFAULT_VERSION = 2.6
+# for gutsy:
+DEBIAN_WX_DEFAULT_VERSION = 2.8
 
 
 # This will extract a flavour out of the name of the source directory
