## wxwidgets2.6 2.6.3.2.1.5+etch1

=== debian/changelog ===
wxwidgets2.6 (2.6.3.2.1.5+etch1) oldstable-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fixed Integer overflow in the wxImage::Create function.
    (CVE-2009-2369) (Closes: #537175)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Thu, 17 Sep 2009 19:21:27 +0200
