=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: wxwidgets2.6
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 5.0.37.1), flex, bison, gettext, libgtk2.0-dev, python-dev (>= 2.4.3), python-dbg, zlib1g-dev, libjpeg62-dev, libpng12-dev, libtiff4-dev, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libesd0-dev, libgnomeprintui2.2-dev, python-central, bc
-Maintainer: Ubuntu MOTU developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ron Lee <ron@debian.org>
+Build-Depends: debhelper (>= 5.0.37.1), flex, bison, gettext, libgtk2.0-dev, python-all-dev (>= 2.4.3), zlib1g-dev, libjpeg62-dev, libpng12-dev, libtiff4-dev, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libesd0-dev, libgnomeprintui2.2-dev, python-central
+Maintainer: Ron Lee <ron@debian.org>
 XS-Python-Version: current
 Standards-Version: 3.7.0.0
 
@@ -125,19 +124,24 @@
  need the python-xml package installed.
 
 Package: python-wxgtk2.6-dbg
-Priority: extra
-Architecture: any
-Section: python
-Depends: python-wxgtk2.6 (= ${Source-Version}), python-dbg, ${shlibs:Depends}
-Suggests: python-xml-dbg
-Description: wxWidgets Cross-platform C++ GUI toolkit (wxPython binding, debug version)
+Architecture: any
+Section: python
+Depends: python-wxversion, ${python:Depends}, ${shlibs:Depends}
+Conflicts: python-wxgtk2.6
+Replaces: python-wxgtk2.6
+Provides: python-wxgtk2.6
+XB-Python-Version: ${python:Versions}
 Description: wxWidgets Cross-platform C++ GUI toolkit (wxPython binding)
  wxWidgets is a class library for C++ providing GUI (Graphical User
  Interface) and other facilities on more than one platform.  Version 2.6
  currently supports subsets of GTK+, Motif, and MS Windows.
  .
  This package provides a Python binding to the wxGTK debug library.
- This package contains the extensions built for the python debug interpreter.
+ It is useful for developers as many common errors may be caught, but
+ you should _never_ upload packages to Debian that depend upon this
+ package explicitly, use the python-wxgtk2.6 package instead.
+ .
+ If you wish to use xrc you'll also need the python-xml package installed.
 
 Package: python-wxversion
 Architecture: all
