=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,8 @@
   FAST_MAKE = $(MAKE)
 endif
 
-python_ver := $(shell pyversions -d)
+-include debian/python-version
+
 
 # If another source package is to supply the common binary packages
 # for a particular Debian release, then define this variable to indicate
@@ -39,8 +40,8 @@
 # all if this is to be the default (or only) wx source package for the
 # target release.
 #
-# for gutsy:
-DEBIAN_WX_DEFAULT_VERSION = 2.8
+# for etch:
+#DEBIAN_WX_DEFAULT_VERSION = 2.6
 
 
 # This will extract a flavour out of the name of the source directory
@@ -116,7 +117,7 @@
 package_headers_msw     := wx$(release)-headers-msw
 
 # The packages listed here will not be built by default.
-extra_packages := \
+extra_packages := $(package_gtk_dbg_py)                                      \
 		  $(package_msw_dev) $(package_msw_dbg) $(package_headers_msw)
 
 ifdef DEBIAN_WX_DEFAULT_VERSION
@@ -160,7 +161,7 @@
 build_arch_stamps = build-wxbase-shared-stamp build-wxbase-debug-stamp    \
                     build-gtk-shared-stamp build-gtk-shared-contrib-stamp \
                     build-gtk-debug-stamp build-gtk-debug-contrib-stamp   \
-                    build-i18n-stamp build-gtk-py-stamp build-gtk-dbg-py-stamp
+                    build-i18n-stamp build-gtk-py-stamp
 
 build_indep_stamps = build-examples-stamp build-doc-stamp
 
@@ -175,7 +176,7 @@
 install_all_arch = install-wxbase-lib install-wxbase-dev install-wxbase-dbg  \
                    install-gtk-lib install-gtk-dev install-gtk-dbg        \
                    install-headers install-i18n            \
-                   install-gtk-py install-gtk-dbg-py
+                   install-gtk-py
 
 ifndef DEBIAN_WX_DEFAULT_VERSION
 
@@ -208,7 +209,10 @@
 
 # The Rules:
 
-debian/control: debian/control.in
+debian/python-version:
+	echo python_ver := python$(shell python -c "import sys;print sys.version[:3]") > $@
+
+debian/control: $(addprefix debian/,control.in python-version)
 	sed -e 's/=V/$(release)/g;s/=SOV/$(sorelease)/g;s/=PY/python/g'\
 		< debian/control.in > debian/control
 
@@ -221,5 +225,3 @@
 			< debian/libwxbase-dev.$$f                           \
 			> debian/$(package_wxbase_dev).$$f;                  \
 	done;
-	@for f in postinst prerm; do                                         \
-		echo "generating control file $(package_wxbase_dbg).$$f";    \
